http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/documentation/partsGets documentation parts.
The string identifier of the associated RestApi.
The type of API entities of the to-be-retrieved documentation parts.
The name of API entities of the to-be-retrieved documentation parts.
The path of API entities of the to-be-retrieved documentation parts.
The current pagination position in the paged result set.
The maximum number of returned results per page. The default value is 25 and the maximum value is 500.
The status of the API documentation parts to retrieve. Valid values are <code>DOCUMENTED</code> for retrieving DocumentationPart resources with content and <code>UNDOCUMENTED</code> for DocumentationPart resources without content.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/documentation/parts' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/documentation/partsGets documentation parts.
The string identifier of the associated RestApi.
The type of API entities of the to-be-retrieved documentation parts.
The name of API entities of the to-be-retrieved documentation parts.
The path of API entities of the to-be-retrieved documentation parts.
The current pagination position in the paged result set.
The maximum number of returned results per page. The default value is 25 and the maximum value is 500.
The status of the API documentation parts to retrieve. Valid values are <code>DOCUMENTED</code> for retrieving DocumentationPart resources with content and <code>UNDOCUMENTED</code> for DocumentationPart resources without content.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/documentation/parts' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}